"""Add Infracost output column to module_details table

Revision ID: 6416ffbf606d
Revises: 51d3707d6334
Create Date: 2022-08-17 07:09:19.890446

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '6416ffbf606d'
down_revision = '51d3707d6334'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('module_details', sa.Column('infracost', sa.LargeBinary(length=16777215).with_variant(mysql.MEDIUMBLOB(), 'mysql'), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('module_details') as module_details_op:
        module_details_op.drop_column('infracost')
    # ### end Alembic commands ###
